
#include "Crimson.h"

#include <eikenv.h>
#include <eikapp.h>
#include <eikappui.h>
#include <stdio.h>

CApaApplication* NewApplication() {
	// Return pointer to newly created application
	return new CCrimsonApp;
}

#include <eikstart.h>
// E32Main() contains the program's start up code, the entry point for an EXE.
GLDEF_C TInt E32Main() {
 	return EikStart::RunApplication(NewApplication);
}

/*void log(const char* aString)
{
	FILE* f = fopen("d:\\crimson.log","a+b");
	if(f != NULL)
	{
		fprintf(f,aString);
		fprintf(f, "\n");
		fclose(f);
	}
}*/

#ifdef UIQ3
char KDataPath[256] = "c:\\shared\\crimson\\";
#else
#endif

CCrimsonApp::CCrimsonApp() {
}

CCrimsonApp::~CCrimsonApp() {
}

#include <Crimson.rsg>
/**
 * Returns the resource id to be used to declare the views supported by this UIQ3 app
 * @return TInt, resource id
 */
TInt CCrimsonApp::ViewResourceId() {
	return R_SDL_VIEW_UI_CONFIGURATIONS;
}


char* symbianDataDir()
{
	KDataPath[0] = CEikonEnv::Static()->EikAppUi()->Application()->BitmapStoreName()[0];
	return KDataPath;
}

/**
 *   Responsible for returning the unique UID of this application
 * @return unique UID for this application in a TUid
 **/
TUid CCrimsonApp::AppDllUid() const {
	return TUid::Uid(0xA00007AD);
}

/////////////////////////////////////////////////////////////////////////////////////////////////



